:root {
    --safe-area-inset-top: 0px;
}

.device-desktop {
    * {
        &::-webkit-scrollbar {
            width: 6px;
            height: 6px;
        }

        &::-webkit-scrollbar-track {
            background: transparent;
        }

        &::-webkit-scrollbar-thumb {
            background: #eee;
            border-radius: 4px;
        }

        scrollbar-width: 6px;
        scrollbar-color: #eee;

        &.dark-scroll {
            &::-webkit-scrollbar-thumb {
                background: RGBA(0, 0, 0, 0.5);
                border-radius: 4px;
            }
            scrollbar-color: RGBA(0, 0, 0, 0.5);
        }
    }
}

.device-mobile {
    * {
        &::-webkit-scrollbar {
            width: 4px;
            height: 4px;
        }

        &::-webkit-scrollbar-track {
            background: transparent;
        }

        &::-webkit-scrollbar-thumb {
            background: rgba(255, 255, 255, 0.8);
            border-radius: 4px;
        }

        scrollbar-width: 4px;
        scrollbar-color: rgba(255, 255, 255, 0.8);

        &.dark-scroll {
            &::-webkit-scrollbar-thumb {
                background: RGBA(0, 0, 0, 0.5);
                border-radius: 4px;
            }
            scrollbar-color: RGBA(0, 0, 0, 0.5);
        }
    }
}

html,
body,
ul,
li,
ol,
dl,
a {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    /* user-select: none; */
}

html {
    min-height: 100%;
    min-width: 100%;
    /* 禁止双指缩放，解决iOS Safari忽略user-scalable=no的问题 */
    touch-action: pan-x pan-y;
}

body {
    width: 100%;
    height: 100%;
    /* 禁止双指缩放 */
    touch-action: pan-x pan-y;
}

html,
body,
.hide-scroll {
    /* 针对WebKit浏览器 */
    &::-webkit-scrollbar {
        display: none;
    }
    /* 针对IE和Edge */
    -ms-overflow-style: none;
    /* 针对Firefox */
    scrollbar-width: none;
}

a {
    -webkit-tap-highlight-color: transparent;
}

.show-dialog {
    body {
        overflow: hidden;
    }
}

#__nuxt {
    width: 100%;
    height: 100%;
}

.over-hide {
    overflow: hidden;
}

@keyframes slidePrev {
    0% {
        transform: translateX(-100%);
    }

    100% {
        transform: translateX(0);
    }
}

@keyframes slideNext {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(0);
    }
}

.plyr .plyr__control {
    background: rgba(255, 255, 255, 0.5);
    border: 1px solid rgba(255, 255, 255, 0.8);
}
